
Foreman - Bug #23164

(some) subnet validation errors are not shown

04/08/2018 09:18 AM - Ohad Levy

Status: New   

Priority: Normal   

Assignee:    

Category: Search   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

2018-04-08T10:16:14 [I|app|] Started PATCH "/subnets/1" for 10.35.2.157 at 2018-04-08 10:16:14 +01

00

2018-04-08T10:16:14 [I|app|bcb27] Processing by SubnetsController#update as */*

2018-04-08T10:16:14 [I|app|bcb27]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"9qAyRmK8xfdqN

QZfkEhoSxP2IDqD1K83SyAL3lpcxRMQaq3+O4+UK2ou9Bsi0wrg0F0xP/5YJLscQI1aYD+Wbw==", "subnet"=>{"name"=>"

SAT Lab 180", "description"=>"", "network"=>"10.35.27.0", "cidr"=>"26", "mask"=>"255.255.255.192",

 "gateway"=>"10.35.27.62", "dns_primary"=>"10.35.27.1", "dns_secondary"=>"10.35.255.6", "ipam"=>"D

HCP", "from"=>"10.35.27.5", "to"=>"10.35.27.59", "vlanid"=>"180", "mtu"=>"1500", "boot_mode"=>"DHC

P", "domain_ids"=>["", "6"], "dhcp_id"=>"5", "tftp_id"=>"1", "dns_id"=>"1", "template_id"=>"", "re

mote_execution_proxy_ids"=>[""], "location_ids"=>["3", ""], "organization_ids"=>["1", "", "9"]}, "

redirect"=>"", "_ie_support"=>"", "id"=>"1"}

2018-04-08T10:16:14 [I|app|bcb27] Current user: admin (administrator)

2018-04-08T10:16:14 [E|app|bcb27] Failed to save: Subnet domains is invalid

2018-04-08T10:16:14 [I|app|bcb27]   Rendering subnets/edit.html.erb

 while the UI does not show any error.

Related issues:

Related to Foreman - Bug #13711: Can't create new subnet with domain Closed 02/15/2016

History

#1 - 04/09/2018 06:31 AM - Marek Hulán

- Category set to Search

Ohad, could you please provide more information? What domains you selected? Or does that mean that domain that is being assigned is invalid

itself? Are they in same orgs/locs

#2 - 04/09/2018 06:31 AM - Marek Hulán

- Status changed from New to Need more information

#3 - 04/09/2018 06:54 AM - Ohad Levy

- Status changed from Need more information to New

TBH I'm not sure (nor do I think it matters a lot) how the domain got invalid, the error message is still lacking and the form simply does not save. from

a UX pov there is no indication at all.

#4 - 04/09/2018 07:19 AM - Marek Hulán

I agree it's a bug, but it's hard to fix it if I can't reproduce it. Also if there's no way for user to make Domain invalid in the first place and it's some dev

setup glitch, then I'd say it's low prio. It seems like regression of #13711

#5 - 04/09/2018 07:20 AM - Marek Hulán

- Related to Bug #13711: Can't create new subnet with domain added
https://projects.theforeman.org/issues/13711


#6 - 11/02/2018 08:17 AM - Eric Hansen

I just hit this... not sure how to come out of it yet.  I need to modify the subnet in question to add new locations and it won't let me because of this

error.
